# Role: node_exporter

## Description

Installs and configures node_exporter for Prometheus.

https://github.com/prometheus/node_exporter

## Usage

Using in a playbook:

```yaml
- name: Play
  gather_facts: true
  gather_subset:
    - distribution
  hosts:
    - all
  roles:
    - samuliy.ansible.node_exporter
  vars:
    ...
```

### Vars

`node_exporter_web_config`:

Web config for node_exporter, as dict.
Used for TLS config.

`node_exporter_environment_file`:

Environment file path for the service.

`node_exporter_environment_args`:

Args to set into the environment file.

`node_exporter_environment_args_key`:

Key to look for in the environment file.

`node_exporter_service_name`:

Service name.

`node_exporter_config_template`:

Config template path.
